<div class="wrap">
    
		<img width="50" height="50" src="<?PHP echo  plugins_url('../images/icon-512x512.png', __FILE__); ?>" style="vertical-align:middle;" alt="Slovenská pošta - ePodací hárok" itemprop="logo">
		<h1 style="display:inline-block;padding-left: 20px;"><?php _e('Google PageSpeed Insights','wpfi-page-speed-insights'); ?></h1>
	<div id="poststuff">
		<div id="post-body" class="metabox-holder columns-2">
			<!-- main content -->
			<div id="post-body-content">
				<div class="meta-box-sortables ui-sortable">
				<!-- Display warning if run on localhost -->
				<?php
					if (wpfi_is_localhost()) {
				?>
				<div class="postbox">
					<h2><?php _e('You are on localhost','wpfi-page-speed-insights'); ?></h2>
					<div class="inside">
						<p><?php _e('We are sorry, performance of your site can not be measured on localhost.','wpfi-page-speed-insights'); ?></p>
					</div>  					
				</div>
				<?php
					} else {
				?>				
				<div class="postbox" id="resize" style="padding: 5px;border-radius: 12px; box-shadow: 0 4px 8px 0 rgb(0 0 0 / 20%), 0 6px 20px 0 rgb(0 0 0 / 19%);">
				<h2 style="font-size: 23px !important;"><?php _e('30 Day Historical Testing Chart','wpfi-page-speed-insights'); ?></h2>
					<div class="inside">
						<p style="font-size: 18px !important;margin-top:5px;"><?php _e('Performance results over the last 30 days','wpfi-page-speed-insights'); ?></p>
						
					<?php

			$site_url = get_home_url();

			$google_page_speed_call = "https://developers.google.com/speed/pagespeed/insights/?url=" .  $site_url;

		?>

		<div style="margin-top: 5px; font-size:16px;"><a href="<?php echo $google_page_speed_call; ?>" target="_blank" style="outline: 0;text-decoration: none;"><?php _e('<b>CLICK HERE</b>','wpfi-page-speed-insights'); ?></a> <?php _e('to run a new test on Google','wpfi-page-speed-insights'); ?></div>
					
					</div>
					<!--Google Chart -->
					<div id="page_speed_history_chart" style="height: 60vh; border: 1px solid #ebebeb;"></div>
				</div>
				<?php
					} // end of wpfi_is_localhost check
				?>	
					<!-- .postbox -->
				</div>
				<!-- .meta-box-sortables .ui-sortable -->
			</div>
			<!-- post-body-content -->
			<!-- sidebar -->
			<div id="postbox-container-1" class="postbox-container" >
				<div class="meta-box-sortables">
					<div class="postbox" style="border-radius: 12px; box-shadow: 0 4px 8px 0 rgb(0 0 0 / 20%), 0 6px 20px 0 rgb(0 0 0 / 19%);">
						<h3 style="font-size: 23px !important;"><?php _e('&#128075; Hello ','wpfi-page-speed-insights'); ?><?php $current_user = wp_get_current_user(); echo '' . $current_user->user_firstname . ''; ?></h3>
						<div class="inside">
					<p><?php _e('This tool was developed to give you information about how well your website is performing on Google PageSpeed Insights.','wpfi-page-speed-insights'); ?></p><?php _e('<hr>','wpfi-page-speed-insights'); ?>
					<h3><?php _e('Proudly brought to you by...','wpfi-page-speed-insights'); ?></h3>
					<center>
						<a href="https://www.wpfixit.com/" target="_blank"><img src="<?PHP echo plugins_url('../images/logo.png', __FILE__);  ?>"></a>
					</center>
					<p><?php _e('We have been making WordPress sites BLAZING FAST since 2009.<br><br><b>Need help with speed? <a href="https://speed.wpfixit.com/" target="_blank">CLICK HERE.</a></b>','wpfi-page-speed-insights'); ?></p>                    
					<p></p>	
				</div>
						<!-- .inside -->
					</div>
					<!-- .postbox -->
				</div>
				<!-- .meta-box-sortables -->
			</div>
			<!-- #postbox-container-1 .postbox-container -->
		</div>
		<!-- #post-body .metabox-holder .columns-2 -->
		<br class="clear">
	</div>
	<!-- #poststuff -->
</div> <!-- .wrap -->